Skip to main content
Permissions

Set role API permissions

Set role API permissions. This method will set the role permissions to the list provided in the JSON payload.

PUT
/gb/role/{role_id}/api/permissions

This method requires the ApiPermissions:Update permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
role_idstringrequired

Role Id

Maximum string length: 3
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

permissionsstring[]

Response

application/vnd.catch-e-api.v1+json

Success

itemsstring[]